aboutsummaryrefslogtreecommitdiffstats
path: root/plans
diff options
context:
space:
mode:
authorajay_dp001 <ajay.deep.singh@est.tech>2020-04-14 13:07:48 +0530
committerajay_dp001 <ajay.deep.singh@est.tech>2020-05-11 16:09:38 +0530
commitebc79b2ed5b7b4bb2e8eb1d43d8710aa654b3421 (patch)
treeb757c39733672adccd82e37812f13cff55bd9cbf /plans
parent00b05096a16d9a3d0652fa34f542c3065769e739 (diff)
E2E Integration Test for NETCONF/TLS Configuration in SDNC.
Story intended to capture needed updates to E2E Integration Test for NETCONF/TLS Configuration. Involve updates to the PNF simulator. Issue-ID: INT-1295 Signed-off-by: ajay_dp001 <ajay.deep.singh@est.tech> Change-Id: Ie08fe9618a9a0522e00fe0af8d13ab48b0634a70
Diffstat (limited to 'plans')
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/certs/Makefile110
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certs.properties2
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/certs/keys0.zipbin5057 -> 0 bytes
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/sdnc-csit.env16
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/setup.sh249
-rw-r--r--plans/sdnc/sdnc_netconf_tls_post_deploy/teardown.sh27
6 files changed, 270 insertions, 134 deletions
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/Makefile b/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/Makefile
new file mode 100644
index 00000000..b284e61e
--- /dev/null
+++ b/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/Makefile
@@ -0,0 +1,110 @@
+all: step_1 step_2 step_3 step_4 step_5 step_6 step_7 step_8 step_9 step_10 step_11 step_12 step_13 step_14 step_15
+.PHONY: all
+#Clear certificates
+clear:
+ @echo "***** Clear certificates *****"
+ rm -f certServiceClient-keystore.jks certServiceServer-keystore.jks root.crt truststore.jks certServiceServer-keystore.p12
+ @echo "***** done *****"
+
+#Generate root private and public keys
+step_1:
+ @echo "***** Generate root private and public keys *****"
+ keytool -genkeypair -v -alias root -keyalg RSA -keysize 4096 -validity 3650 -keystore root-keystore.jks \
+ -dname "CN=root.com, OU=Root Org, O=Root Company, L=Wroclaw, ST=Dolny Slask, C=PL" -keypass secret \
+ -storepass secret -ext BasicConstraints:critical="ca:true"
+ @echo "***** done *****"
+
+#Export public key as certificate
+step_2:
+ @echo "***** Export public key as certificate *****"
+ keytool -exportcert -alias root -keystore root-keystore.jks -storepass secret -file root.crt -rfc
+ @echo "***** done *****"
+
+#Self-signed root (import root certificate into truststore)
+step_3:
+ @echo "***** Self-signed root import root certificate into truststore *****"
+ keytool -importcert -alias root -keystore truststore.jks -file root.crt -storepass secret -noprompt
+ @echo "***** done *****"
+
+#Generate certService's client private and public keys
+step_4:
+ @echo "***** Generate certService's client private and public keys *****"
+ keytool -genkeypair -v -alias certServiceClient -keyalg RSA -keysize 2048 -validity 730 \
+ -keystore certServiceClient-keystore.jks -storetype JKS \
+ -dname "CN=certServiceClient.com,OU=certServiceClient company,O=certServiceClient org,L=Wroclaw,ST=Dolny Slask,C=PL" \
+ -keypass secret -storepass secret
+ @echo "***** done *****"
+
+#Generate certificate signing request for certService's client
+step_5:
+ @echo "***** Generate certificate signing request for certService's client *****"
+ keytool -certreq -keystore certServiceClient-keystore.jks -alias certServiceClient -storepass secret -file certServiceClient.csr
+ @echo "***** done *****"
+
+#Sign certService's client certificate by root CA
+step_6:
+ @echo "***** Sign certService's client certificate by root CA *****"
+ keytool -gencert -v -keystore root-keystore.jks -storepass secret -alias root -infile certServiceClient.csr \
+ -outfile certServiceClientByRoot.crt -rfc -ext bc=0 -ext ExtendedkeyUsage="serverAuth,clientAuth"
+ @echo "***** done *****"
+
+#Import root certificate into client
+step_7:
+ @echo "***** Import root certificate into intermediate *****"
+ cat root.crt >> certServiceClientByRoot.crt
+ @echo "***** done *****"
+
+#Import signed certificate into certService's client
+step_8:
+ @echo "***** Import signed certificate into certService's client *****"
+ keytool -importcert -file certServiceClientByRoot.crt -destkeystore certServiceClient-keystore.jks -alias certServiceClient -storepass secret -noprompt
+ @echo "***** done *****"
+
+#Generate certService private and public keys
+step_9:
+ @echo "***** Generate certService private and public keys *****"
+ keytool -genkeypair -v -alias aaf-cert-service -keyalg RSA -keysize 2048 -validity 730 \
+ -keystore certServiceServer-keystore.jks -storetype JKS \
+ -dname "CN=aaf-cert-service,OU=certServiceServer company,O=certServiceServer org,L=Wroclaw,ST=Dolny Slask,C=PL" \
+ -keypass secret -storepass secret -ext BasicConstraints:critical="ca:false"
+ @echo "***** done *****"
+
+#Generate certificate signing request for certService
+step_10:
+ @echo "***** Generate certificate signing request for certService***** "
+ keytool -certreq -keystore certServiceServer-keystore.jks -alias aaf-cert-service -storepass secret -file certServiceServer.csr
+ @echo "***** done *****"
+
+#Sign certService certificate by root CA
+step_11:
+ @echo "***** Sign certService certificate by root CA *****"
+ keytool -gencert -v -keystore root-keystore.jks -storepass secret -alias root -infile certServiceServer.csr \
+ -outfile certServiceServerByRoot.crt -rfc -ext bc=0 -ext ExtendedkeyUsage="serverAuth,clientAuth" \
+ -ext SubjectAlternativeName:="DNS:aaf-cert-service,DNS:localhost"
+ @echo "***** done *****"
+
+#Import root certificate into server
+step_12:
+ @echo "***** Import root certificate into intermediate *****"
+ cat root.crt >> certServiceServerByRoot.crt
+ @echo "***** done *****"
+
+#Import signed certificate into certService
+step_13:
+ @echo "***** Import signed certificate into certService *****"
+ keytool -importcert -file certServiceServerByRoot.crt -destkeystore certServiceServer-keystore.jks -alias aaf-cert-service \
+ -storepass secret -noprompt
+ @echo "***** done *****"
+
+#Convert certServiceServer-keystore(.jks) to PCKS12 format(.p12)
+step_14:
+ @echo "***** Convert certServiceServer-keystore(.jks) to PCKS12 format(.p12) *****"
+ keytool -importkeystore -srckeystore certServiceServer-keystore.jks -srcstorepass secret \
+ -destkeystore certServiceServer-keystore.p12 -deststoretype PKCS12 -deststorepass secret
+ @echo "***** done *****"
+
+#Clear unused certificates
+step_15:
+ @echo "***** Clear unused certificates *****"
+ rm -f certServiceClientByRoot.crt certServiceClient.csr root-keystore.jks certServiceServerByRoot.crt certServiceServer.csr
+ @echo "***** done *****"
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certs.properties b/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certs.properties
deleted file mode 100644
index f8f3fa72..00000000
--- a/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certs.properties
+++ /dev/null
@@ -1,2 +0,0 @@
-keys0.zip
-*****
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/keys0.zip b/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/keys0.zip
deleted file mode 100644
index 48b4d90a..00000000
--- a/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/keys0.zip
+++ /dev/null
Binary files differ
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/sdnc-csit.env b/plans/sdnc/sdnc_netconf_tls_post_deploy/sdnc-csit.env
new file mode 100644
index 00000000..75f5db85
--- /dev/null
+++ b/plans/sdnc/sdnc_netconf_tls_post_deploy/sdnc-csit.env
@@ -0,0 +1,16 @@
+GERRIT_BRANCH=master
+NEXUS_USERNAME=docker
+NEXUS_PASSWD=docker
+SDNC_CONTAINER_NAME=sdnc
+SDNC_IMAGE_TAG=1.8.2
+NEXUS_DOCKER_REPO=nexus3.onap.org:10001
+CLIENT_CONTAINER_NAME=CertServiceClient
+SDNC_CERT_PATH=${SCRIPTS}/sdnc/sdnc/certs
+REQUEST_DATA_PATH=${SCRIPTS}/sdnc/sdnc/config
+NETCONF_PNP_SIM_CONTAINER_NAME=netconf-simulator
+EJBCA_CERTPROFILE_PATH=${SCRIPTS}/sdnc/certservice/certprofile
+AAF_CERTSERVICE_SCRIPTS_PATH=${SCRIPTS}/sdnc/certservice/scripts
+TEMP_DIR_PATH=${WORKSPACE}/tests/sdnc/sdnc_netconf_tls_post_deploy/tmp
+NETCONF_CONFIG_PATH=${SCRIPTS}/sdnc/netconf-pnp-simulator/netconf-config
+AAF_INITIAL_CERTS=${WORKSPACE}/plans/sdnc/sdnc_netconf_tls_post_deploy/certs
+AAF_CERTSERVICE_CONFIG_PATH=${SCRIPTS}/sdnc/certservice/config/cmpServers.json \ No newline at end of file
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/setup.sh b/plans/sdnc/sdnc_netconf_tls_post_deploy/setup.sh
index f77b5632..2a0451d1 100644
--- a/plans/sdnc/sdnc_netconf_tls_post_deploy/setup.sh
+++ b/plans/sdnc/sdnc_netconf_tls_post_deploy/setup.sh
@@ -1,151 +1,172 @@
#!/bin/bash
#
-# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+# ============LICENSE_START=======================================================
+# Copyright (C) 2020 Nordix Foundation.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
+# http://www.apache.org/licenses/LICENSE-2.0
#
-# http://www.apache.org/licenses/LICENSE-2.0
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# Modifications copyright (c) 2017 AT&T Intellectual Property
-#
-# Place the scripts in run order:
-SCRIPTS="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
-source ${WORKSPACE}/scripts/sdnc/script1.sh
-export DOCKER_SDNC_TAG=1.8-STAGING-latest
-export NEXUS_USERNAME=docker
-export NEXUS_PASSWD=docker
-export NEXUS_DOCKER_REPO=nexus3.onap.org:10001
-export DMAAP_TOPIC=AUTO
-export DOCKER_IMAGE_VERSION=1.8-STAGING-latest
-export CCSDK_DOCKER_IMAGE_VERSION=0.7-STAGING-latest
-export SDNC_GERRIT_BRANCH=frankfurt
-export INTEGRATION_GERRIT_BRANCH=master
+# SPDX-License-Identifier: Apache-2.0
+# ============LICENSE_END=========================================================
+
+# @author Ajay Deep Singh (ajay.deep.singh@est.tech)
+
+# Source SDNC, AAF-CertService, Netconf-Pnp-Simulator config env
+source "${WORKSPACE}"/plans/sdnc/sdnc_netconf_tls_post_deploy/sdnc-csit.env
+
+chmod +x "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/libraries/config.sh
+chmod +x "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/libraries/config_tls.sh
+
+# Export temp directory
+export TEMP_DIR_PATH=${TEMP_DIR_PATH}
+
+# Create temp directory to bind with docker containers
+mkdir -m 755 -p "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/tmp
+mkdir -m 755 -p "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/certs
+mkdir -m 755 -p "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/cert-data
export MTU=$(/sbin/ifconfig | grep MTU | sed 's/.*MTU://' | sed 's/ .*//' | sort -n | head -1)
if [ "$MTU" == "" ]; then
- export MTU="1450"
+ export MTU="1450"
fi
-# Clone SDNC repo to get docker-compose for SDNC
-mkdir -p $WORKSPACE/archives/integration
-cd $WORKSPACE/archives
-git clone -b ${INTEGRATION_GERRIT_BRANCH} --single-branch --depth=1 http://gerrit.onap.org/r/integration.git integration
-cd $WORKSPACE/archives/integration
-git pull
-HOST_IP_ADDR=localhost
-# Clone SDNC repo to get docker-compose for SDNC
-mkdir -p $WORKSPACE/archives/sdnc
-cd $WORKSPACE/archives
-git clone -b ${SDNC_GERRIT_BRANCH} --single-branch --depth=1 http://gerrit.onap.org/r/sdnc/oam.git sdnc
-cd $WORKSPACE/archives/sdnc
-git pull
-unset http_proxy https_proxy
-cd $WORKSPACE/archives/sdnc/installation/src/main/yaml
-
-sed -i "s/DMAAP_TOPIC_ENV=.*/DMAAP_TOPIC_ENV=\"AUTO\"/g" docker-compose.yml
-docker login -u $NEXUS_USERNAME -p $NEXUS_PASSWD $NEXUS_DOCKER_REPO
+# Export default Networking bridge created on the host machine
+export LOCAL_IP=$(ip -4 addr show docker0 | grep -Po 'inet \K[\d.]+')
-docker pull $NEXUS_DOCKER_REPO/onap/sdnc-image:$DOCKER_SDNC_TAG
-docker tag $NEXUS_DOCKER_REPO/onap/sdnc-image:$DOCKER_SDNC_TAG onap/sdnc-image:latest
+# Prepare enviroment
+echo "Uninstall docker-py and reinstall docker."
+pip uninstall -y docker-py
+pip uninstall -y docker
+pip install -U docker==2.7.0
-docker pull $NEXUS_DOCKER_REPO/onap/sdnc-ansible-server-image:$DOCKER_IMAGE_VERSION
-docker tag $NEXUS_DOCKER_REPO/onap/sdnc-ansible-server-image:$DOCKER_IMAGE_VERSION onap/sdnc-ansible-server-image:latest
+# Reinstall pyOpenSSL library
+echo "Reinstall pyOpenSSL library."
+pip uninstall pyopenssl -y
+pip install pyopenssl==17.5.0
-docker pull $NEXUS_DOCKER_REPO/onap/ccsdk-dgbuilder-image:$CCSDK_DOCKER_IMAGE_VERSION
-docker tag $NEXUS_DOCKER_REPO/onap/ccsdk-dgbuilder-image:$CCSDK_DOCKER_IMAGE_VERSION onap/ccsdk-dgbuilder-image:latest
+# Disable Proxy - for local run
+unset http_proxy https_proxy
-docker pull $NEXUS_DOCKER_REPO/onap/admportal-sdnc-image:$DOCKER_IMAGE_VERSION
-docker tag $NEXUS_DOCKER_REPO/onap/admportal-sdnc-image:$DOCKER_IMAGE_VERSION onap/admportal-sdnc-image:latest
+# Export AAF Certservice config path
+export AAF_INITIAL_CERTS
+export EJBCA_CERTPROFILE_PATH
+export AAF_CERTSERVICE_CONFIG_PATH
+export AAF_CERTSERVICE_SCRIPTS_PATH
+export CERT_PROFILE=${EJBCA_CERTPROFILE_PATH}
+export SCRIPTS_PATH=${AAF_CERTSERVICE_SCRIPTS_PATH}
+export CONFIGURATION_PATH=${AAF_CERTSERVICE_CONFIG_PATH}
+
+# Generate Keystores, Truststores, Certificates and Keys
+make all -C ./certs/
+
+cp "${WORKSPACE}"/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/root.crt "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/certs/root.crt
+openssl pkcs12 -in "${WORKSPACE}"/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certServiceServer-keystore.p12 -clcerts -nokeys -password pass:secret | sed -ne '/-BEGIN CERTIFICATE-/,/-END CERTIFICATE-/p' >"${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/certs/certServiceServer.crt
+openssl pkcs12 -in "${WORKSPACE}"/plans/sdnc/sdnc_netconf_tls_post_deploy/certs/certServiceServer-keystore.p12 -nocerts -nodes -password pass:secret | sed -ne '/-BEGIN PRIVATE KEY-/,/-END PRIVATE KEY-/p' >"${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/certs/certServiceServer.key
+
+echo "Generated KeyStores, Server Certificate and Key"
+
+# Start EJBCA, AAF-CertService Containers with docker-compose and configuration from docker-compose.yml
+docker-compose -f "${SCRIPTS}"/sdnc/certservice/docker-compose.yml up -d
+
+# Check if AAF-Certservice Service is healthy and ready
+AAFCERT_IP='none'
+for i in {1..9}; do
+ AAFCERT_IP=$(get-instance-ip.sh aaf-cert-service)
+ RESP_CODE=$(curl -s https://localhost:8443/actuator/health --cacert ./certs/root.crt --cert-type p12 --cert ./certs/certServiceServer-keystore.p12 --pass secret |
+ python2 -c 'import json,sys;obj=json.load(sys.stdin);print obj["status"]')
+ if [[ "${RESP_CODE}" == "UP" ]]; then
+ echo "AAF Cert Service is Ready."
+ export AAFCERT_IP=${AAFCERT_IP}
+ docker exec aafcert-ejbca /opt/primekey/scripts/ejbca-configuration.sh
+ break
+ fi
+ echo "Waiting for AAF Cert Service to Start Up..."
+ sleep 2m
+done
-docker pull $NEXUS_DOCKER_REPO/onap/sdnc-ueb-listener-image:$DOCKER_IMAGE_VERSION
-docker tag $NEXUS_DOCKER_REPO/onap/sdnc-ueb-listener-image:$DOCKER_IMAGE_VERSION onap/sdnc-ueb-listener-image:latest
+if [[ "${AAFCERT_IP}" == "none" || "${AAFCERT_IP}" == '' || "${RESP_CODE}" != "UP" ]]; then
+ echo "AAF CertService not started Could cause problems for testing activities...!"
+fi
-docker pull $NEXUS_DOCKER_REPO/onap/sdnc-dmaap-listener-image:$DOCKER_IMAGE_VERSION
+############################## SDNC Setup ##############################
-docker tag $NEXUS_DOCKER_REPO/onap/sdnc-dmaap-listener-image:$DOCKER_IMAGE_VERSION onap/sdnc-dmaap-listener-image:latest
+# Export Mariadb, SDNC tmp, cert directory path
+export SDNC_CERT_PATH=${SDNC_CERT_PATH}
-CERT_SUBPATH=plans/sdnc/sdnc_netconf_tls_post_deploy/certs
+docker pull "${NEXUS_DOCKER_REPO}"/onap/sdnc-image:"${SDNC_IMAGE_TAG}"
+docker tag "${NEXUS_DOCKER_REPO}"/onap/sdnc-image:"${SDNC_IMAGE_TAG}" onap/sdnc-image:latest
-export SDNC_CERT_PATH=${WORKSPACE}/${CERT_SUBPATH}
-sed -i 's/sdnc_controller_container/sdnc_controller_container\n volumes: \n - $SDNC_CERT_PATH:\/opt\/opendaylight\/current\/certs/' docker-compose.yml
-# start SDNC containers with docker compose and configuration from docker-compose.yml
-docker-compose up -d
+# Start Mariadb, SDNC Containers with docker-compose and configuration from docker-compose.yml
+docker-compose -f "${SCRIPTS}"/sdnc/sdnc/docker-compose.yml up -d
-# PNF simulator has permission problems - creates files as root, which causes build to be unstable
-# Commenting it out for now, since netconf mount is not working anyway.
-# cd $WORKSPACE/archives/integration/test/mocks/pnfsimulator/pnfsimulator
-# docker-compose up -d
+# Check if SDNC Service is healthy and ready
+for i in {1..10}; do
+ SDNC_IP=$(get-instance-ip.sh sdnc)
+ RESP_CODE=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-sdnc" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8282/restconf/operations/SLI-API:healthcheck)
+ if [[ "${RESP_CODE}" == '200' ]]; then
+ echo "SDNC Service is Ready."
+ break
+ fi
+ echo "Waiting for SDNC Service to Start Up..."
+ sleep 2m
+done
-# WAIT 10 minutes maximum and test every 5 seconds if SDNC is up using HealthCheck API
-TIME_OUT=1000
-INTERVAL=30
-TIME=0
-while [ "$TIME" -lt "$TIME_OUT" ]; do
- response=$(curl --write-out '%{http_code}' --silent --output /dev/null -H "Authorization: Basic YWRtaW46S3A4Yko0U1hzek0wV1hsaGFrM2VIbGNzZTJnQXc4NHZhb0dHbUp2VXkyVQ==" -X POST -H "X-FromAppId: csit-sdnc" -H "X-TransactionId: csit-sdnc" -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8282/restconf/operations/SLI-API:healthcheck ); echo $response
+if [[ "${SDNC_IP}" == 'none' || "${SDNC_IP}" == '' || "${RESP_CODE}" != '200' ]]; then
+ echo "SDNC Service not started Could cause problems for testing activities...!"
+fi
- if [ "$response" == "200" ]; then
- echo SDNC started in $TIME seconds
- break;
+# Check if SDNC-ODL Karaf Session started
+for i in {1..15}; do
+ EXEC_RESP=$(docker exec -it sdnc /opt/opendaylight/current/bin/client system:start-level)
+ if grep -q 'Level 100' <<<"${EXEC_RESP}"; then
+ echo "SDNC-ODL Karaf Session Started."
+ break
fi
-
- echo Sleep: $INTERVAL seconds before testing if SDNC is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
- sleep $INTERVAL
- TIME=$(($TIME+$INTERVAL))
+ echo "Waiting for SDNC-ODL Karaf Session to Start Up..."
+ sleep 2m
done
-export PNF_IP=$(ip -4 addr show docker0 | grep -Po 'inet \K[\d.]+')
-sed -i "s/pnfaddr/$PNF_IP/g" $WORKSPACE/tests/sdnc/sdnc_netconf_tls_post_deploy/data/mount.xml
-
-if [ "$TIME" -ge "$TIME_OUT" ]; then
- echo TIME OUT: Docker containers not started in $TIME_OUT seconds... Could cause problems for testing activities...
+if ! grep -q 'Level 100' <<<"${EXEC_RESP}"; then
+ echo "SDNC-ODL Karaf Session not Started, Could cause problems for testing activities...!"
fi
-#sleep 800
+echo "Sleeping 5 minutes"
+sleep 5m
-TIME_OUT=1500
-INTERVAL=60
-TIME=0
-while [ "$TIME" -lt "$TIME_OUT" ]; do
- response=$(docker exec -ti sdnc_controller_container /opt/opendaylight/current/bin/client system:start-level)
+###################### Netconf-PNP-Simulator Setup ######################
- if grep -q 'Level 100' <<< ${response}; then
- echo SDNC karaf started in $TIME seconds
- break;
- fi
+# Export netconf-pnp simulator conf path
+export NETCONF_CONFIG_PATH=${NETCONF_CONFIG_PATH}
- echo Sleep: $INTERVAL seconds before testing if SDNC is up. Total wait time up now is: $TIME seconds. Timeout is: $TIME_OUT seconds
- sleep $INTERVAL
- TIME=$(($TIME+$INTERVAL))
-done
+# Start Netconf-Pnp-Simulator Container with docker-compose and configuration from docker-compose.yml
+docker-compose -f "${SCRIPTS}"/sdnc/netconf-pnp-simulator/docker-compose.yml up -d
-if [ "$TIME" -ge "$TIME_OUT" ]; then
- echo TIME OUT: karaf session not started in $TIME_OUT seconds... Could cause problems for testing activities...
-fi
+# Update default Networking bridge IP in mount.json file
+sed -i "s/pnfaddr/${LOCAL_IP}/g" "${REQUEST_DATA_PATH}"/mount.xml
-response=$(docker exec -ti sdnc_controller_container /opt/opendaylight/current/bin/client system:start-level)
+#########################################################################
- if grep -q 'Level 100' <<< ${response}; then
- num_failed_bundles=$(docker exec -ti sdnc_controller_container /opt/opendaylight/current/bin/client bundle:list | grep Failure | wc -l)
- failed_bundles=$(docker exec -ti sdnc_controller_container /opt/opendaylight/current/bin/client bundle:list | grep Failure)
- echo There is/are $num_failed_bundles failed bundles out of $num_bundles installed bundles.
- fi
+echo "Sleeping additional for 3 minutes to give application time to finish"
+sleep 3m
-if [ "$num_failed_bundles" -ge 1 ]; then
- echo "The following bundle(s) are in a failed state: "
- echo " $failed_bundles"
-fi
+# Export SDNC, AAF-Certservice-Cient, Netconf-Pnp-Simulator Continer Names
+export REQUEST_DATA_PATH="${REQUEST_DATA_PATH}"
+export SDNC_CONTAINER_NAME="${SDNC_CONTAINER_NAME}"
+export CLIENT_CONTAINER_NAME="${CLIENT_CONTAINER_NAME}"
+export NETCONF_PNP_SIM_CONTAINER_NAME="${NETCONF_PNP_SIM_CONTAINER_NAME}"
-# Sleep additional 5 minutes (300 secs) to give application time to finish
-sleep 200
+REPO_IP='127.0.0.1'
+ROBOT_VARIABLES+=" -v REPO_IP:${REPO_IP} "
+ROBOT_VARIABLES+=" -v SCRIPTS:${SCRIPTS} "
-# Pass any variables required by Robot test suites in ROBOT_VARIABLES
-ROBOT_VARIABLES="-v SCRIPTS:${SCRIPTS}"
+echo "Finished executing setup for SDNC-Netconf-TLS-Post-Deploy"
diff --git a/plans/sdnc/sdnc_netconf_tls_post_deploy/teardown.sh b/plans/sdnc/sdnc_netconf_tls_post_deploy/teardown.sh
index 43294df5..2f451d50 100644
--- a/plans/sdnc/sdnc_netconf_tls_post_deploy/teardown.sh
+++ b/plans/sdnc/sdnc_netconf_tls_post_deploy/teardown.sh
@@ -1,6 +1,6 @@
#!/bin/bash
#
-# Copyright 2016-2017 Huawei Technologies Co., Ltd.
+# Copyright 2017 ZTE, Inc. and others.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -14,22 +14,13 @@
# See the License for the specific language governing permissions and
# limitations under the License.
#
-# Modifications copyright (c) 2017 AT&T Intellectual Property
-#
-docker cp sdnc_controller_container:/opt/opendaylight/data/log/karaf.log $WORKSPACE/archives/karaf.log
-docker cp sdnc_controller_container:/opt/opendaylight/data/log/installCerts.log $WORKSPACE/archives/installCerts.log
-kill-instance.sh sdnc_controller_container
-kill-instance.sh sdnc_dgbuilder_container
-kill-instance.sh sdnc_portal_container
-kill-instance.sh sdnc_db_container
-kill-instance.sh sdnc_ueblistener_container
-kill-instance.sh sdnc_dmaaplistener_container
-kill-instance.sh sdnc_ansible_container
-# Commented out startup of PNF simulator due to permission issues. Following lines can be uncommented
-# when/if that problem is resolved.
-#kill-instance.sh pnfsimulator_pnf-simulator_1
-#kill-instance.sh pnfsimulator_mongo-express_1
-#ill-instance.sh pnfsimulator_mongo_1
+docker-compose -f "${SCRIPTS}"/sdnc/certservice/docker-compose.yml down -v
+docker-compose -f "${SCRIPTS}"/sdnc/sdnc/docker-compose.yml down -v
+docker-compose -f "${SCRIPTS}"/sdnc/netconf-pnp-simulator/docker-compose.yml down -v
+
+make clear -C "${WORKSPACE}"/plans/sdnc/sdnc_netconf_tls_post_deploy/certs
-# $WORKSPACE/archives/appc deleted with archives folder when tests starts so we keep it at the end for debugging
+rm -rf "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/tmp
+rm -rf "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/certs
+rm -rf "${WORKSPACE}"/tests/sdnc/sdnc_netconf_tls_post_deploy/cert-data \ No newline at end of file